HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
  1. kling-v3
  • OpenAI-Compatible Format — Unified LLM API Documentation
  • Quick Start
  • Image Models
    • DOUBAO
      • doubao-seedream-4-0-250828
      • doubao-seedream-4-5-251128
      • doubao-seedream-5-0-260128
      • doubao-seedream-4-0-250828 (image editing)
      • doubao-seedream-4-5-251128 (Picture editing)
      • doubao-seedream-5-0-260128 (image editing)
    • GPT
      • GPT Image-1.5
      • GPT Image-1.5 (image editing)
      • GPT Image-2 (image editing)
      • GPT Image-2
      • gpt-image-2-text-to-image
      • gpt-image-2-image-to-image
    • Gemini
      • gemini-3-pro-image-preview
      • gemini-3-pro-image-preview (image editing)
      • gemini-2.5-flash-image
      • gemini-2.5-flash-image (image editing)
      • gemini-3.1-flash-image-preview
      • gemini-3.1-flash-image-preview (image editing)
      • nano-banana-pro
      • nano-banana-2
      • nano-banana-2-lite
    • Dall
      • dall-e-2
      • dall-e-3
    • Wan
      • wan2.6-image (image editing)
      • wan2.6-image
    • Qwen
      • qwen-image-edit-max-2026-01-16
      • qwen-image-max
      • qwen-image-plus-2026-01-09
  • Video Models
    • DOUBAO
      • doubao-seedance-2-0-260128
      • doubao-seedance-2.0 (Get video task information)
      • doubao-seedance-2.0-V2V (Get video task information)
      • doubao-seedance-2.0-fast (get video task information)
      • doubao-seedance-2.0-fast-V2V (Get video task information)
      • doubao-seedance-2.0
      • doubao-seedance-2.0-V2V
      • doubao-seedance-2.0-fast
      • doubao-seedance-2.0-fast-V2V
    • Sora
      • Sora-2
      • Sora-2 (Get Video Task Status)
      • Sora-2 (Get Video Content)
    • MiniMax
      • MiniMax-Hailuo-02
      • MiniMax-Hailuo-2.3
      • MiniMax-Hailuo-2.3-Fast
      • Hailuo Get Video Info
    • HappyHorse
      • happyhorse-1.0-t2v
      • HappyHorse Get Video Info
      • happyhorse-1.0-video-edit
      • happyhorse-1.0-r2v
      • happyhorse-1.0-i2v
    • Kling
      • kling-v3
        • Text-to-Video (kling-v3)
          POST
        • First/Last Frame Video Generation (kling-v3)
          POST
        • Subject-Controlled Video Generation (kling-v3)
          POST
      • kling-v3-omni
        • Text-to-Video (kling-v3-omni)
        • First/Last Frame Video Generation (kling-v3-omni)
        • Subject-Controlled Video Generation (kling-v3-omni)
      • Create Subject
        POST
      • Query Subject
        GET
      • Query Video Task
        GET
    • Grok
      • grok-imagine-video-1-5-preview
      • Query Video Task
    • Veo
      • veo3.1
      • veo3.1 Video Extension (extend)
      • Query Video Task
    • Gemini
      • Create Character (omni character)
      • Create Voice (omni audio)
      • gemini-omni-video
      • Query Video Task
  • Chat Models
    • Claude
      • claude-sonnet-4-5-20250929
      • claude-opus-4-6
      • claude-opus-4-6-cc
    • GPT
      • GPT 5
      • GPT 5(Responses)
      • GPT 5.2
      • GPT 5.2(Responses)
      • GPT 5.4
      • GPT 5.4(Responses)
    • Gemini
      • gemini-2.5-flash
      • gemini-2.5-pro
      • gemini-3-flash-preview
      • gemini-3.1-pro
      • gemini-3.1-pro-preview
      • gemini-3.1-pro-preview (streaming)
    • Grok
      • grok-4.1
  • Audio Models
    • Gemini
      • gemini-2.5-flash-preview-tts
      • gemini-2.5-pro-preview-tts
    • Whisper
      • whisper-1 (audio translation)
      • whisper-1 (Audio to Chinese)
    • MiMo
      • mimo-v2.5-tts (Preset Voice Speech Synthesis)
      • mimo-v2.5-tts-voiceclone (Voice Cloning Speech Synthesis)
      • mimo-v2.5-tts-voicedesign (Text-Designed Voice Speech Synthesis)
  • Serve
    • Privacy agreement
    • Terms of Service
  1. kling-v3

Subject-Controlled Video Generation (kling-v3)

POST
https://api.tokenhot.ai/v1/video/generations
Actual request URL: POST https://api.tokenhot.ai/v1/video/generations
Model: kling-v3
Generate video referencing an element_id obtained from "Create Subject" to maintain character/object consistency. Pass subject IDs via the subject_infos array; reference the first subject in the prompt with <<<element_1>>> (mapped in array order as element_1 / element_2 ...).
Can be combined with ext_info for multi-shot.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.tokenhot.ai/v1/video/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "kling-v3",
    "prompt": "<<<element_1>>> sits on a park bench as sunlight filters through the leaves. Then cut to a car speeding in the rain",
    "duration": 5,
    "size": "1080P",
    "aspect_ratio": "16:9",
    "enhance_prompt": "Enabled",
    "audio_generation": true,
    "subject_infos": [
        {
            "Id": "858477278396170315"
        },
        {
            "Id": "858477602846711835"
        }
    ],
    "ext_info": "{\"AdditionalParameters\": \"{\\\"multi_shot\\\": true, \\\"shot_type\\\": \\\"customize\\\", \\\"multi_prompt\\\": [{\\\"index\\\": 1, \\\"prompt\\\": \\\"A person sitting on a park bench as sunlight filters through the leaves\\\", \\\"duration\\\": 2}, {\\\"index\\\": 2, \\\"prompt\\\": \\\"A car speeding in the rain, headlights flashing. Dynamic angle, emphasizing motion.\\\", \\\"duration\\\": 3}]}\"}"
}'
Response Response Example
{}
Modified at 2026-06-23 06:57:44
Previous
First/Last Frame Video Generation (kling-v3)
Next
Text-to-Video (kling-v3-omni)
Built with